# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
task-defaults:
    description: "grcov toolchain build"
    worker-type: b-linux-gcp
    worker:
        max-run-time: 1800
    run:
        script: build-rust-based-toolchain.sh
        toolchain-artifact: public/build/grcov.tar.zst
    fetches:
        fetch:
            - grcov

linux64-grcov:
    treeherder:
        symbol: TL(grcov)
    run:
        arguments: ['x86_64-unknown-linux-gnu']
    fetches:
        toolchain:
            - linux64-rust-toolchain
            - linux64-clang-toolchain
            - sysroot-x86_64-linux-gnu

macosx64-grcov:
    treeherder:
        symbol: TM(grcov)
    run:
        arguments: ['x86_64-apple-darwin']
    fetches:
        toolchain:
            - linux64-rust-macos-toolchain
            - linux64-clang-toolchain
            - macosx64-sdk-toolchain

win64-grcov:
    treeherder:
        symbol: TW64(grcov)
    run:
        arguments: ['x86_64-pc-windows-msvc']
    fetches:
        toolchain:
            - linux64-clang-toolchain
            - linux64-rust-windows-toolchain
            - vs-toolchain
